Webhooks API
Create webhook
Create a webhook for an app.
POST
/
v2
/
session
/
apps
/
{appID}
/
webhooks
Create webhook
curl --request POST \
--url https://api.prelude.dev/v2/session/apps/{appID}/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/webhook",
"verification_token": "my-secret-token",
"events": []
}
'import requests
url = "https://api.prelude.dev/v2/session/apps/{appID}/webhooks"
payload = {
"url": "https://example.com/webhook",
"verification_token": "my-secret-token",
"events": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/webhook',
verification_token: 'my-secret-token',
events: []
})
};
fetch('https://api.prelude.dev/v2/session/apps/{appID}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook": {
"id": "web_01jqebhswje1ka1z7ahr9rfsgt",
"url": "https://example.com/webhook",
"events": [
"user.created"
],
"active": true,
"last_http_code": 200,
"last_http_code_date": "2025-03-15T14:45:00Z",
"created_at": "2025-03-15T10:30:00Z",
"updated_at": "2025-03-15T12:00:00Z"
}
}{
"code": "invalid_request",
"status": "bad_request",
"message": "The request body is invalid."
}{
"code": "session_disabled",
"status": "forbidden",
"message": "Session management is disabled for this application."
}{
"code": "app_not_found",
"status": "not_found",
"message": "The application was not found."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the app the request refers to. An application's unique identifier.
Examples:
"54e9ujn"
"fvua38g"
Body
application/json
Maximum string length:
2048Example:
"https://example.com/webhook"
Maximum string length:
100Example:
"my-secret-token"
Available options:
user.created, user.deleted, user.profile.updated, user.identifier.created, user.identifier.deleted, user.session.created, user.session.revoked, user.passkey.registered, user.passkey.deleted, user.passkey.assertion_failed, migration.hook_failed, step_up.hook_failed Callbacks
POST{$request.body#/url}eventReceived
GET{$request.body#/url}verificationEvent
Response
200 - application/json
Webhook validated
The challenge you received as a query parameter in the webhook request.
Example:
1234567890
Response
Created
Show child attributes
Show child attributes
⌘I
Create webhook
